org.apache.poi.hssf.util

## Enum HSSFColor.HSSFColorPredefined

- java.lang.Object
- - java.lang.Enum<HSSFColor.HSSFColorPredefined>
  - - org.apache.poi.hssf.util.HSSFColor.HSSFColorPredefined

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HSSFColor.HSSFColorPredefined>
  Enclosing class:
    HSSFColor

      public static enum HSSFColor.HSSFColorPredefined
      extends java.lang.Enum<HSSFColor.HSSFColorPredefined>

  Predefined HSSFColors with their given palette index (and an optional 2nd index)
  Since:
    POI 3.16 beta 2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AQUA`
    `AUTOMATIC` Special Default/Normal/Automatic color.
    `BLACK`
    `BLUE`
    `BLUE_GREY`
    `BRIGHT_GREEN`
    `BROWN`
    `CORAL`
    `CORNFLOWER_BLUE`
    `DARK_BLUE`
    `DARK_GREEN`
    `DARK_RED`
    `DARK_TEAL`
    `DARK_YELLOW`
    `GOLD`
    `GREEN`
    `GREY_25_PERCENT`
    `GREY_40_PERCENT`
    `GREY_50_PERCENT`
    `GREY_80_PERCENT`
    `INDIGO`
    `LAVENDER`
    `LEMON_CHIFFON`
    `LIGHT_BLUE`
    `LIGHT_CORNFLOWER_BLUE`
    `LIGHT_GREEN`
    `LIGHT_ORANGE`
    `LIGHT_TURQUOISE`
    `LIGHT_YELLOW`
    `LIME`
    `MAROON`
    `OLIVE_GREEN`
    `ORANGE`
    `ORCHID`
    `PALE_BLUE`
    `PINK`
    `PLUM`
    `RED`
    `ROSE`
    `ROYAL_BLUE`
    `SEA_GREEN`
    `SKY_BLUE`
    `TAN`
    `TEAL`
    `TURQUOISE`
    `VIOLET`
    `WHITE`
    `YELLOW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSSFColor` | `getColor()`
    `java.lang.String` | `getHexString()`
    `short` | `getIndex()`
    `short` | `getIndex2()`
    `short[]` | `getTriplet()`
    `static HSSFColor.HSSFColorPredefined` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HSSFColor.HSSFColorPredefined[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACK

          public static final HSSFColor.HSSFColorPredefined BLACK

    - #### BROWN

          public static final HSSFColor.HSSFColorPredefined BROWN

    - #### OLIVE_GREEN

          public static final HSSFColor.HSSFColorPredefined OLIVE_GREEN

    - #### DARK_GREEN

          public static final HSSFColor.HSSFColorPredefined DARK_GREEN

    - #### DARK_TEAL

          public static final HSSFColor.HSSFColorPredefined DARK_TEAL

    - #### DARK_BLUE

          public static final HSSFColor.HSSFColorPredefined DARK_BLUE

    - #### INDIGO

          public static final HSSFColor.HSSFColorPredefined INDIGO

    - #### GREY_80_PERCENT

          public static final HSSFColor.HSSFColorPredefined GREY_80_PERCENT

    - #### ORANGE

          public static final HSSFColor.HSSFColorPredefined ORANGE

    - #### DARK_YELLOW

          public static final HSSFColor.HSSFColorPredefined DARK_YELLOW

    - #### GREEN

          public static final HSSFColor.HSSFColorPredefined GREEN

    - #### TEAL

          public static final HSSFColor.HSSFColorPredefined TEAL

    - #### BLUE

          public static final HSSFColor.HSSFColorPredefined BLUE

    - #### BLUE_GREY

          public static final HSSFColor.HSSFColorPredefined BLUE_GREY

    - #### GREY_50_PERCENT

          public static final HSSFColor.HSSFColorPredefined GREY_50_PERCENT

    - #### RED

          public static final HSSFColor.HSSFColorPredefined RED

    - #### LIGHT_ORANGE

          public static final HSSFColor.HSSFColorPredefined LIGHT_ORANGE

    - #### LIME

          public static final HSSFColor.HSSFColorPredefined LIME

    - #### SEA_GREEN

          public static final HSSFColor.HSSFColorPredefined SEA_GREEN

    - #### AQUA

          public static final HSSFColor.HSSFColorPredefined AQUA

    - #### LIGHT_BLUE

          public static final HSSFColor.HSSFColorPredefined LIGHT_BLUE

    - #### VIOLET

          public static final HSSFColor.HSSFColorPredefined VIOLET

    - #### GREY_40_PERCENT

          public static final HSSFColor.HSSFColorPredefined GREY_40_PERCENT

    - #### PINK

          public static final HSSFColor.HSSFColorPredefined PINK

    - #### GOLD

          public static final HSSFColor.HSSFColorPredefined GOLD

    - #### YELLOW

          public static final HSSFColor.HSSFColorPredefined YELLOW

    - #### BRIGHT_GREEN

          public static final HSSFColor.HSSFColorPredefined BRIGHT_GREEN

    - #### TURQUOISE

          public static final HSSFColor.HSSFColorPredefined TURQUOISE

    - #### DARK_RED

          public static final HSSFColor.HSSFColorPredefined DARK_RED

    - #### SKY_BLUE

          public static final HSSFColor.HSSFColorPredefined SKY_BLUE

    - #### PLUM

          public static final HSSFColor.HSSFColorPredefined PLUM

    - #### GREY_25_PERCENT

          public static final HSSFColor.HSSFColorPredefined GREY_25_PERCENT

    - #### ROSE

          public static final HSSFColor.HSSFColorPredefined ROSE

    - #### LIGHT_YELLOW

          public static final HSSFColor.HSSFColorPredefined LIGHT_YELLOW

    - #### LIGHT_GREEN

          public static final HSSFColor.HSSFColorPredefined LIGHT_GREEN

    - #### LIGHT_TURQUOISE

          public static final HSSFColor.HSSFColorPredefined LIGHT_TURQUOISE

    - #### PALE_BLUE

          public static final HSSFColor.HSSFColorPredefined PALE_BLUE

    - #### LAVENDER

          public static final HSSFColor.HSSFColorPredefined LAVENDER

    - #### WHITE

          public static final HSSFColor.HSSFColorPredefined WHITE

    - #### CORNFLOWER_BLUE

          public static final HSSFColor.HSSFColorPredefined CORNFLOWER_BLUE

    - #### LEMON_CHIFFON

          public static final HSSFColor.HSSFColorPredefined LEMON_CHIFFON

    - #### MAROON

          public static final HSSFColor.HSSFColorPredefined MAROON

    - #### ORCHID

          public static final HSSFColor.HSSFColorPredefined ORCHID

    - #### CORAL

          public static final HSSFColor.HSSFColorPredefined CORAL

    - #### ROYAL_BLUE

          public static final HSSFColor.HSSFColorPredefined ROYAL_BLUE

    - #### LIGHT_CORNFLOWER_BLUE

          public static final HSSFColor.HSSFColorPredefined LIGHT_CORNFLOWER_BLUE

    - #### TAN

          public static final HSSFColor.HSSFColorPredefined TAN

    - #### AUTOMATIC

          public static final HSSFColor.HSSFColorPredefined AUTOMATIC

      Special Default/Normal/Automatic color.

      Note: This class is NOT in the default Map returned by HSSFColor. The index is a special case which is interpreted in the various setXXXColor calls.

  - ### Method Detail

    - #### values

          public static HSSFColor.HSSFColorPredefined[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HSSFColor.HSSFColorPredefined c : HSSFColor.HSSFColorPredefined.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HSSFColor.HSSFColorPredefined valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIndex

          public short getIndex()

      See Also:
        `HSSFColor.getIndex()`

    - #### getIndex2

          public short getIndex2()

      See Also:
        `HSSFColor.getIndex2()`

    - #### getTriplet

          public short[] getTriplet()

      See Also:
        `HSSFColor.getTriplet()`

    - #### getHexString

          public java.lang.String getHexString()

      See Also:
        `HSSFColor.getHexString()`

    - #### getColor

          public HSSFColor getColor()

      Returns:
        (a copy of) the HSSFColor assigned to the enum

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.